BOT!

The Dart Bag-of-Tricks

A collection of (mostly) general libraries to make working with Dart more productive.

Build Status

Projects using bot_io

Try It Now

The Dart Bag-of-Tricks ( BOT ) is hosted on pub.dartlang.org. Add the bot_io package to your pubspec.yaml file, selecting a version range that works with your version of the SDK. Always check the bot_io page on pub to find the latest release.

See the changelog to find the version that works best for you.

If you'd like to track bleeding edge developments, you can reference the the GitHub repository directly:

dependencies:
  bot:
    git: https://github.com/kevmoo/bot_io.dart.git

Versioning

  • We follow Semantic Versioning.
  • We are not planning a V1 for bot_io until Dart releases V1. In the mean time, the version will remain 0.Y.Z. Changes to the minor version - Y - will indicate breaking changes. * Changes to the patch version - Z - indicate non-breaking changes.

Dart SDK dependency

  • We're going to try to keep bot_io in line with the latest integration build of the Dart SDK and Editor.
  • At this point, each SDK release tends to introduce breaking changes, which usually require breaking changes in bot_io.
  • Keep an eye on the changelog to see how bot_io aligns with each SDK release.

The libraries

bot_io -- default library

bot_git

Authors

Libraries

bot_git